This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 183016 - GFS-kernel-xen0/xenU missing
GFS-kernel-xen0/xenU missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Chris Feist
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 06:29 EST by Thomas Kofler
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-24 00:20:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Kofler 2006-02-25 06:29:30 EST
Description of problem:

For Fedora 4 there are:

GFS-6.1-0.pre22.6.i386.rpm
GFS-kernel-2.6.11.8-20050601.152643.FC4.2.i586.rpm
GFS-kernel-2.6.11.8-20050601.152643.FC4.2.i686.rpm
GFS-kernel-smp-2.6.11.8-20050601.152643.FC4.2.i686.rpm
GFS-kernel-xen0-2.6.11.8-20050601.152643.FC4.2.i686.rpm
GFS-kernel-xenU-2.6.11.8-20050601.152643.FC4.2.i686.rpm 

that means full GFS support for the default kernel and the xen kernels.

On Fedora 5 test3 there are:

GFS-6.1.5-0.FC5.1.i386.rpm
GFS-kernel-2.6.15-5.FC5.4.i686.rpm
GFS-kernel-smp-2.6.15-5.FC5.4.i686.rpm

the GFS kernel for xen is missing.

We have about 10 GFS enabled xen machines in production use, a upgrade to 
Fedora Core 5 would be inpossible without the matching rpm packages.

Version-Release number of selected component (if applicable):
Fedoare Core 5 Test 3

How reproducible:
Always



Expected results:
rpm package like GFS-kernel-xen
Comment 1 Chris Feist 2006-02-27 17:50:44 EST
We are still planning on including GFS xen rpms for FC5, but there are still
some issues remaining to be resolved to get xen to work properly with GFS.  I
will update this bug when I get more information.
Comment 2 Chris Feist 2006-03-22 18:15:58 EST
This has been fixed in FC5.
Comment 3 W Agtail 2006-03-31 13:48:52 EST
Hi
I would also like GFS RPMs for Xen (x86_64) please. I'm unable to find them in FC5:

RPMS]$ ls -l *GFS* *xen*
-rw-r--r--  43 root 5254   153751 Mar  6 23:29 GFS-6.1.5-0.FC5.1.x86_64.rpm
-rw-r--r--  11 root 5254   198615 Mar 14 23:48
GFS-kernel-2.6.15.1-5.FC5.17.x86_64.rpm
-rw-r--r--  12 root 5254    21499 Mar 14 23:48
GFS-kernheaders-2.6.15.1-5.FC5.17.x86_64.rpm
-rw-r--r--  12 root 5254 14612365 Mar 14 23:28
kernel-xen0-2.6.15-1.2054_FC5.x86_64.rpm
-rw-r--r--  12 root 5254  5107823 Mar 14 23:28
kernel-xen0-devel-2.6.15-1.2054_FC5.x86_64.rpm
-rw-r--r--  12 root 5254  5404349 Mar 14 23:28
kernel-xenU-2.6.15-1.2054_FC5.x86_64.rpm
-rw-r--r--  12 root 5254  4769059 Mar 14 23:28
kernel-xenU-devel-2.6.15-1.2054_FC5.x86_64.rpm
-rw-r--r--  33 root 5254  1411208 Mar  9 16:56 xen-3.0.1-4.x86_64.rpm

Many thanks.
Comment 4 Chris Feist 2006-03-31 18:29:00 EST
x86_64 xen packages are now built for the x86_64 arch as well.  The packages
should be appearing soon in the fedora updates tree and are built against the
latest kernel (2.6.16-1.2080_FC5).
Comment 5 Kevin Fenzi 2007-03-24 00:20:24 EDT
I'm going to go ahead and close this bug now...

Thomas: If you are still seeing an issue with the gfs modules, could you re-open
and/or file a new bug? 
Comment 6 Thomas Kofler 2007-03-24 07:38:49 EDT
No new issues found so far. Thanks.

Note You need to log in before you can comment on or make changes to this bug.